#!/bin/sh

set -e

# This is an install/update script for DebianParl
# DebianParl Homepage: https://wiki.debian.org/DebianParl
# Source of this code: git://git.debian.org/parl/blends

# Workaround for dictionaries-common install failure (bug#751367)
aptitude install apt-utils

# Administration
#  * include administration tools
# Console
#  * include console helper tools
#  * install console file manager Midnight Commander
# Console media
#  * include core ALSA audio tools
#  * include PulseAudio audio daemon
# Desktop
#  * include desktop helper tools
#  * include the lightweight Xfce desktop
#  * include Xfce power management tools
#  * include screensaver unicode-screensaver
# Desktop email
#  * include Icedove email with sieve plugin
# Desktop media
#  * include simple ALSA volume control Volti
#  * include PulseAudio desktop volume control
#  * include mpv, and avoid mplayer2 with legacy web browser wrappers
# Desktop office
#  * include LibreOffice core for GTK+
#  * include LibreOffice Writer
#  * include LibreOffice Calc
#  * include LibreOffice Impress
#  * include Evince PDF reader
# Desktop scheduling
#  * include Icedove extension Iceowl
# Desktop web
#  * include Iceweasel web browser
# Hardware
#  * include OpenGL hardware rasterizers (excluding software rasterizer)
aptitude install task-laptop alsa-utils apt-listbugs apt-listchanges aptitude dfc evince-gtk gvfs icedove iceowl-extension iceweasel info less libgl1-mesa-dri libreoffice-calc libreoffice-gtk libreoffice-impress libreoffice-ogltrans libreoffice-style-tango libreoffice-writer lightdm links man-db manpages mc mpv mtr-tiny myrepos ncdu network-manager-gnome pavucontrol pulseaudio tango-icon-theme unicode-screensaver usermode volti xfce4-power-manager xfce4-power-manager-plugins xfce4-session xserver-xorg xul-ext-sieve \
 epdfview- gecko-mediaplayer- gnome-mplayer- libgl1-mesa-swx11- libreoffice- libreoffice-base- libreoffice-emailmerge- libreoffice-java-common- libreoffice-report-builder-bin- libreoffice-style-galaxy- mplayer2- pulseaudio-esound-compat- xfce4-volumed-

# Administration
#  * include APT frontend aptitude
# Desktop
#  * silence confusing panel question at initial login
#  * replace appfinder with mail-reader in default panel
#  * disable storing session at logout by default
set -e;\
 cd /etc/xdg/xfce4/xfconf/xfce-perchannel-xml;\
 _clone ../../panel/default.xml xfce4-panel.xml;\
 sed -i -r \
  -e 's,xfce4-appfinder,exo-mail-reader,' \
  xfce4-panel.xml;\
 _backup xfce4-session.xml;\
 sed -i -r \
  -e 's,(<property name="general"[^>]*>),\1\n    <property name="SaveOnExit" type="bool" value="false"/>,' \
  xfce4-session.xml
